%define upstream_name	 Config-Any
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Load configuration from different file formats, transparently
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Module::Pluggable) >= 3.10.0
BuildRequires: perl(Test::More)
BuildRequires: perl-version
BuildArch:  noarch

%description
Config::Any provides a facility for Perl applications and libraries to
load configuration data from multiple different file formats. It
supports XML, YAML, JSON, Apache-style configuration, Windows INI
files, and even Perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Config

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 364580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.23

* Fri Jul 08 2011 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 120350
- update to 0.22

* Wed Jun 15 2011 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 106532
- update to 0.21

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 31796
- mageia rebuild
- imported package perl-Config-Any

